Skip to main content
PATCH
/
services
/
{service}
Update service details or product assignment
curl --request PATCH \
  --url https://docs.dezerx.com/api/application/services/{service} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "product_id": 123,
  "category_id": 123
}
'
{
  "data": {
    "id": 123,
    "status": "<string>",
    "price": 123,
    "name": "<string>",
    "owner": {},
    "product": {},
    "category": {},
    "module": "<string>",
    "billing_cycle": "<string>",
    "due_date": "2023-11-07T05:31:56Z",
    "addons": "<array>"
  },
  "meta": {},
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

service
integer
required

Body

application/json
name
string | null
Maximum string length: 255
product_id
integer | null
category_id
integer | null

Response

Service response

data
object
required
meta
object
required
message
string